/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class GetAudioFileDownloadInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileDownloadInfoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    deviceType?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * da5ad92d-79dc-4599-8f92-ba8209c68569
     */
    fileId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileDownloadInfoResponseBody extends $tea.Model {
    result?: GetAudioFileDownloadInfoResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileDownloadInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetAudioFileDownloadInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileInfoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * A1
     */
    deviceType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    fileId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileInfoResponseBody extends $tea.Model {
    result?: GetAudioFileInfoResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetAudioFileInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInfoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    customerId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInfoResponseBody extends $tea.Model {
    result?: GetCustomerInfoResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetCustomerInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    customerId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightResponseBody extends $tea.Model {
    result?: GetCustomerInsightResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetCustomerInsightResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChapterSummaryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChapterSummaryRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    recordId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChapterSummaryResponseBody extends $tea.Model {
    nextToken?: string;
    result?: GetServiceChapterSummaryResponseBodyResult[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChapterSummaryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetServiceChapterSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    recordId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryResponseBody extends $tea.Model {
    result?: GetServiceChatSummaryResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetServiceChatSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceQualityInspectionHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceQualityInspectionRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    recordId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceQualityInspectionResponseBody extends $tea.Model {
    result?: GetServiceQualityInspectionResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceQualityInspectionResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetServiceQualityInspectionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    id?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptResponseBody extends $tea.Model {
    result?: GetServiceRecordTranscriptResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetServiceRecordTranscriptResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetTranscriptSummaryHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetTranscriptSummaryRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    deviceType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    fileId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetTranscriptSummaryResponseBody extends $tea.Model {
    result?: GetTranscriptSummaryResponseBodyResult;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetTranscriptSummaryResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetTranscriptSummaryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListCustomerHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListCustomerRequest extends $tea.Model {
    endTime?: number;
    maxResults?: number;
    nextToken?: string;
    ownerUserId?: string;
    startTime?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    teamCode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListCustomerResponseBody extends $tea.Model {
    nextToken?: string;
    result?: ListCustomerResponseBodyResult[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListCustomerResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListCustomerResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceRecordHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceRecordRequest extends $tea.Model {
    endTime?: number;
    maxResults?: number;
    nextToken?: string;
    startTime?: number;
    teamCode?: string;
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceRecordResponseBody extends $tea.Model {
    nextToken?: string;
    result?: ListServiceRecordResponseBodyResult[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceRecordResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListServiceRecordResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceTodoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceTodoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    recordId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceTodoResponseBody extends $tea.Model {
    result?: ListServiceTodoResponseBodyResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceTodoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListServiceTodoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListTeamHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListTeamRequest extends $tea.Model {
    maxResults?: number;
    nextToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListTeamResponseBody extends $tea.Model {
    nextToken?: string;
    result?: ListTeamResponseBodyResult[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListTeamResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListTeamResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskRequest extends $tea.Model {
    maxResults?: number;
    nextToken?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    taskId?: string;
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskResponseBody extends $tea.Model {
    errorCode?: string;
    errorMsg?: string;
    result?: QueryAsrTaskResponseBodyResult;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryAsrTaskResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAudioFileHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAudioFileRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * A1
     */
    deviceType?: string;
    endTimestamp?: number;
    /**
     * @example
     * 5
     */
    maxResults?: number;
    nextToken?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    sn?: string;
    startTimestamp?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAudioFileResponseBody extends $tea.Model {
    nextToken?: string;
    result?: QueryAudioFileResponseBodyResult[];
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAudioFileResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryAudioFileResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceDetailHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceDetailRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * A1
     */
    deviceType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    snList?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceDetailResponseBody extends $tea.Model {
    result?: QueryDeviceDetailResponseBodyResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceDetailResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryDeviceDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * A1
     */
    deviceType?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    snList?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusResponseBody extends $tea.Model {
    result?: QueryDeviceStatusResponseBodyResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: QueryDeviceStatusResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SubmitAsrTaskHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SubmitAsrTaskRequest extends $tea.Model {
    bizKey?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    dentryId?: string;
    phrases?: string[];
    /**
     * @remarks
     * This parameter is required.
     */
    sourceLanguage?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    spaceId?: string;
    transcription?: SubmitAsrTaskRequestTranscription;
    /**
     * @remarks
     * This parameter is required.
     */
    unionId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SubmitAsrTaskResponseBody extends $tea.Model {
    errorCode?: string;
    errorMsg?: string;
    result?: SubmitAsrTaskResponseBodyResult;
    success?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SubmitAsrTaskResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: SubmitAsrTaskResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    customer?: VideoCustomerSplitRequestCustomer;
    /**
     * @remarks
     * This parameter is required.
     */
    segmentId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitResponseBody extends $tea.Model {
    errorCode?: string;
    errorMsg?: string;
    result?: VideoCustomerSplitResponseBodyResult;
    success?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: VideoCustomerSplitResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileDownloadInfoResponseBodyResult extends $tea.Model {
    url?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetAudioFileInfoResponseBodyResult extends $tea.Model {
    createTime?: number;
    creatorUserId?: string;
    duration?: number;
    fileId?: string;
    fileName?: string;
    fileSize?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInfoResponseBodyResult extends $tea.Model {
    createAt?: string;
    id?: string;
    name?: string;
    ownerUserId?: string;
    teamCode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightResponseBodyResultIntention extends $tea.Model {
    description?: string;
    intention?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightResponseBodyResultTagAiTag extends $tea.Model {
    code?: string;
    name?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightResponseBodyResultTagUserTag extends $tea.Model {
    code?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightResponseBodyResultTag extends $tea.Model {
    aiTag?: GetCustomerInsightResponseBodyResultTagAiTag[];
    userTag?: GetCustomerInsightResponseBodyResultTagUserTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetCustomerInsightResponseBodyResult extends $tea.Model {
    intention?: GetCustomerInsightResponseBodyResultIntention;
    tag?: GetCustomerInsightResponseBodyResultTag;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChapterSummaryResponseBodyResult extends $tea.Model {
    content?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryResponseBodyResultBasic extends $tea.Model {
    content?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryResponseBodyResultProductItemList extends $tea.Model {
    content?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryResponseBodyResultProduct extends $tea.Model {
    itemList?: GetServiceChatSummaryResponseBodyResultProductItemList[];
    product?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceChatSummaryResponseBodyResult extends $tea.Model {
    basic?: GetServiceChatSummaryResponseBodyResultBasic[];
    product?: GetServiceChatSummaryResponseBodyResultProduct[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceQualityInspectionResponseBodyResultGroupListItemList extends $tea.Model {
    flowName?: string;
    isHit?: string;
    name?: string;
    reason?: string;
    score?: number;
    script?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceQualityInspectionResponseBodyResultGroupList extends $tea.Model {
    itemList?: GetServiceQualityInspectionResponseBodyResultGroupListItemList[];
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceQualityInspectionResponseBodyResult extends $tea.Model {
    groupList?: GetServiceQualityInspectionResponseBodyResultGroupList[];
    score?: number;
    summary?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptResponseBodyResultAudionTextDataList extends $tea.Model {
    channel?: string;
    endTime?: string;
    startTime?: string;
    text?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptResponseBodyResultAudionText extends $tea.Model {
    dataList?: GetServiceRecordTranscriptResponseBodyResultAudionTextDataList[];
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptResponseBodyResultSpeakerDataList extends $tea.Model {
    channel?: string;
    role?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptResponseBodyResultSpeaker extends $tea.Model {
    dataList?: GetServiceRecordTranscriptResponseBodyResultSpeakerDataList[];
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetServiceRecordTranscriptResponseBodyResult extends $tea.Model {
    audionText?: GetServiceRecordTranscriptResponseBodyResultAudionText;
    speaker?: GetServiceRecordTranscriptResponseBodyResultSpeaker;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetTranscriptSummaryResponseBodyResult extends $tea.Model {
    content?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListCustomerResponseBodyResult extends $tea.Model {
    createAt?: string;
    id?: string;
    name?: string;
    ownerUserId?: string;
    teamCode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceRecordResponseBodyResultTeam extends $tea.Model {
    code?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceRecordResponseBodyResultUser extends $tea.Model {
    name?: string;
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceRecordResponseBodyResult extends $tea.Model {
    customerId?: string;
    deviceSn?: string;
    duration?: string;
    endTimestamp?: number;
    recordId?: string;
    startTimestamp?: number;
    team?: ListServiceRecordResponseBodyResultTeam;
    user?: ListServiceRecordResponseBodyResultUser;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceTodoResponseBodyResultExecutors extends $tea.Model {
    name?: string;
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListServiceTodoResponseBodyResult extends $tea.Model {
    creator?: string;
    dingTodoId?: string;
    executors?: ListServiceTodoResponseBodyResultExecutors[];
    finished?: boolean;
    planFinishDate?: number;
    todoContent?: string;
    uuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListTeamResponseBodyResult extends $tea.Model {
    code?: string;
    name?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskResponseBodyResultResultInfoParagraphListSentenceListWordList extends $tea.Model {
    endTime?: number;
    startTime?: number;
    text?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskResponseBodyResultResultInfoParagraphListSentenceList extends $tea.Model {
    endTime?: number;
    sentence?: string;
    startTime?: number;
    wordList?: QueryAsrTaskResponseBodyResultResultInfoParagraphListSentenceListWordList[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskResponseBodyResultResultInfoParagraphList extends $tea.Model {
    endTime?: number;
    paragraph?: string;
    sentenceList?: QueryAsrTaskResponseBodyResultResultInfoParagraphListSentenceList[];
    speakerId?: string;
    startTime?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskResponseBodyResultResultInfo extends $tea.Model {
    paragraphList?: QueryAsrTaskResponseBodyResultResultInfoParagraphList[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAsrTaskResponseBodyResult extends $tea.Model {
    bizKey?: string;
    nextToken?: string;
    resultInfo?: QueryAsrTaskResponseBodyResultResultInfo;
    taskId?: string;
    taskStatus?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryAudioFileResponseBodyResult extends $tea.Model {
    createTime?: number;
    creatorUserId?: string;
    duration?: number;
    fileId?: string;
    fileName?: string;
    fileSize?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceDetailResponseBodyResult extends $tea.Model {
    bindTimestamp?: number;
    deviceName?: string;
    sn?: string;
    userId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusResponseBodyResultBattery extends $tea.Model {
    timestamp?: number;
    value?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusResponseBodyResultFirmware extends $tea.Model {
    timestamp?: number;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusResponseBodyResultRecordingStartTime extends $tea.Model {
    timestamp?: number;
    value?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusResponseBodyResultStatus extends $tea.Model {
    timestamp?: number;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class QueryDeviceStatusResponseBodyResult extends $tea.Model {
    battery?: QueryDeviceStatusResponseBodyResultBattery;
    firmware?: QueryDeviceStatusResponseBodyResultFirmware;
    recordingStartTime?: QueryDeviceStatusResponseBodyResultRecordingStartTime;
    sn?: string;
    status?: QueryDeviceStatusResponseBodyResultStatus;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SubmitAsrTaskRequestTranscriptionDiarization extends $tea.Model {
    speakerCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SubmitAsrTaskRequestTranscription extends $tea.Model {
    diarization?: SubmitAsrTaskRequestTranscriptionDiarization;
    diarizationEnabled?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class SubmitAsrTaskResponseBodyResult extends $tea.Model {
    taskId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitRequestCustomerCustomersAppearance extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    endTime?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    startTime?: number;
    videoId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitRequestCustomerCustomers extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    appearance?: VideoCustomerSplitRequestCustomerCustomersAppearance;
    /**
     * @remarks
     * This parameter is required.
     */
    customerId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitRequestCustomer extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    customers?: VideoCustomerSplitRequestCustomerCustomers[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitResponseBodyResultCreateServiceRecordResult extends $tea.Model {
    recordIds?: string[];
    segmentId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class VideoCustomerSplitResponseBodyResult extends $tea.Model {
    createServiceRecordResult?: VideoCustomerSplitResponseBodyResultCreateServiceRecordResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 获取音频文件下载地址
     *
     * @param request - GetAudioFileDownloadInfoRequest
     * @param headers - GetAudioFileDownloadInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetAudioFileDownloadInfoResponse
     */
    getAudioFileDownloadInfoWithOptions(request: GetAudioFileDownloadInfoRequest, headers: GetAudioFileDownloadInfoHeaders, runtime: $Util.RuntimeOptions): Promise<GetAudioFileDownloadInfoResponse>;
    /**
     * 获取音频文件下载地址
     *
     * @param request - GetAudioFileDownloadInfoRequest
     * @returns GetAudioFileDownloadInfoResponse
     */
    getAudioFileDownloadInfo(request: GetAudioFileDownloadInfoRequest): Promise<GetAudioFileDownloadInfoResponse>;
    /**
     * 获取音频文件信息
     *
     * @param request - GetAudioFileInfoRequest
     * @param headers - GetAudioFileInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetAudioFileInfoResponse
     */
    getAudioFileInfoWithOptions(request: GetAudioFileInfoRequest, headers: GetAudioFileInfoHeaders, runtime: $Util.RuntimeOptions): Promise<GetAudioFileInfoResponse>;
    /**
     * 获取音频文件信息
     *
     * @param request - GetAudioFileInfoRequest
     * @returns GetAudioFileInfoResponse
     */
    getAudioFileInfo(request: GetAudioFileInfoRequest): Promise<GetAudioFileInfoResponse>;
    /**
     * 查询客户数据
     *
     * @param request - GetCustomerInfoRequest
     * @param headers - GetCustomerInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetCustomerInfoResponse
     */
    getCustomerInfoWithOptions(request: GetCustomerInfoRequest, headers: GetCustomerInfoHeaders, runtime: $Util.RuntimeOptions): Promise<GetCustomerInfoResponse>;
    /**
     * 查询客户数据
     *
     * @param request - GetCustomerInfoRequest
     * @returns GetCustomerInfoResponse
     */
    getCustomerInfo(request: GetCustomerInfoRequest): Promise<GetCustomerInfoResponse>;
    /**
     * 获取客户洞察信息
     *
     * @param request - GetCustomerInsightRequest
     * @param headers - GetCustomerInsightHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetCustomerInsightResponse
     */
    getCustomerInsightWithOptions(request: GetCustomerInsightRequest, headers: GetCustomerInsightHeaders, runtime: $Util.RuntimeOptions): Promise<GetCustomerInsightResponse>;
    /**
     * 获取客户洞察信息
     *
     * @param request - GetCustomerInsightRequest
     * @returns GetCustomerInsightResponse
     */
    getCustomerInsight(request: GetCustomerInsightRequest): Promise<GetCustomerInsightResponse>;
    /**
     * 获取服务章节摘要
     *
     * @param request - GetServiceChapterSummaryRequest
     * @param headers - GetServiceChapterSummaryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetServiceChapterSummaryResponse
     */
    getServiceChapterSummaryWithOptions(request: GetServiceChapterSummaryRequest, headers: GetServiceChapterSummaryHeaders, runtime: $Util.RuntimeOptions): Promise<GetServiceChapterSummaryResponse>;
    /**
     * 获取服务章节摘要
     *
     * @param request - GetServiceChapterSummaryRequest
     * @returns GetServiceChapterSummaryResponse
     */
    getServiceChapterSummary(request: GetServiceChapterSummaryRequest): Promise<GetServiceChapterSummaryResponse>;
    /**
     * 获取服务会话总结
     *
     * @param request - GetServiceChatSummaryRequest
     * @param headers - GetServiceChatSummaryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetServiceChatSummaryResponse
     */
    getServiceChatSummaryWithOptions(request: GetServiceChatSummaryRequest, headers: GetServiceChatSummaryHeaders, runtime: $Util.RuntimeOptions): Promise<GetServiceChatSummaryResponse>;
    /**
     * 获取服务会话总结
     *
     * @param request - GetServiceChatSummaryRequest
     * @returns GetServiceChatSummaryResponse
     */
    getServiceChatSummary(request: GetServiceChatSummaryRequest): Promise<GetServiceChatSummaryResponse>;
    /**
     * 查询服务质检信息
     *
     * @param request - GetServiceQualityInspectionRequest
     * @param headers - GetServiceQualityInspectionHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetServiceQualityInspectionResponse
     */
    getServiceQualityInspectionWithOptions(request: GetServiceQualityInspectionRequest, headers: GetServiceQualityInspectionHeaders, runtime: $Util.RuntimeOptions): Promise<GetServiceQualityInspectionResponse>;
    /**
     * 查询服务质检信息
     *
     * @param request - GetServiceQualityInspectionRequest
     * @returns GetServiceQualityInspectionResponse
     */
    getServiceQualityInspection(request: GetServiceQualityInspectionRequest): Promise<GetServiceQualityInspectionResponse>;
    /**
     * 获取服务记录音频转写信息
     *
     * @param request - GetServiceRecordTranscriptRequest
     * @param headers - GetServiceRecordTranscriptHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetServiceRecordTranscriptResponse
     */
    getServiceRecordTranscriptWithOptions(request: GetServiceRecordTranscriptRequest, headers: GetServiceRecordTranscriptHeaders, runtime: $Util.RuntimeOptions): Promise<GetServiceRecordTranscriptResponse>;
    /**
     * 获取服务记录音频转写信息
     *
     * @param request - GetServiceRecordTranscriptRequest
     * @returns GetServiceRecordTranscriptResponse
     */
    getServiceRecordTranscript(request: GetServiceRecordTranscriptRequest): Promise<GetServiceRecordTranscriptResponse>;
    /**
     * 获取文件转写的概要信息
     *
     * @param request - GetTranscriptSummaryRequest
     * @param headers - GetTranscriptSummaryHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetTranscriptSummaryResponse
     */
    getTranscriptSummaryWithOptions(request: GetTranscriptSummaryRequest, headers: GetTranscriptSummaryHeaders, runtime: $Util.RuntimeOptions): Promise<GetTranscriptSummaryResponse>;
    /**
     * 获取文件转写的概要信息
     *
     * @param request - GetTranscriptSummaryRequest
     * @returns GetTranscriptSummaryResponse
     */
    getTranscriptSummary(request: GetTranscriptSummaryRequest): Promise<GetTranscriptSummaryResponse>;
    /**
     * 查询客户列表
     *
     * @param request - ListCustomerRequest
     * @param headers - ListCustomerHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ListCustomerResponse
     */
    listCustomerWithOptions(request: ListCustomerRequest, headers: ListCustomerHeaders, runtime: $Util.RuntimeOptions): Promise<ListCustomerResponse>;
    /**
     * 查询客户列表
     *
     * @param request - ListCustomerRequest
     * @returns ListCustomerResponse
     */
    listCustomer(request: ListCustomerRequest): Promise<ListCustomerResponse>;
    /**
     * 分页查询服务记录
     *
     * @param request - ListServiceRecordRequest
     * @param headers - ListServiceRecordHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ListServiceRecordResponse
     */
    listServiceRecordWithOptions(request: ListServiceRecordRequest, headers: ListServiceRecordHeaders, runtime: $Util.RuntimeOptions): Promise<ListServiceRecordResponse>;
    /**
     * 分页查询服务记录
     *
     * @param request - ListServiceRecordRequest
     * @returns ListServiceRecordResponse
     */
    listServiceRecord(request: ListServiceRecordRequest): Promise<ListServiceRecordResponse>;
    /**
     * 查询服务记录待办列表
     *
     * @param request - ListServiceTodoRequest
     * @param headers - ListServiceTodoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ListServiceTodoResponse
     */
    listServiceTodoWithOptions(request: ListServiceTodoRequest, headers: ListServiceTodoHeaders, runtime: $Util.RuntimeOptions): Promise<ListServiceTodoResponse>;
    /**
     * 查询服务记录待办列表
     *
     * @param request - ListServiceTodoRequest
     * @returns ListServiceTodoResponse
     */
    listServiceTodo(request: ListServiceTodoRequest): Promise<ListServiceTodoResponse>;
    /**
     * 查询团队列表
     *
     * @param request - ListTeamRequest
     * @param headers - ListTeamHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ListTeamResponse
     */
    listTeamWithOptions(request: ListTeamRequest, headers: ListTeamHeaders, runtime: $Util.RuntimeOptions): Promise<ListTeamResponse>;
    /**
     * 查询团队列表
     *
     * @param request - ListTeamRequest
     * @returns ListTeamResponse
     */
    listTeam(request: ListTeamRequest): Promise<ListTeamResponse>;
    /**
     * 查询asr结果
     *
     * @param request - QueryAsrTaskRequest
     * @param headers - QueryAsrTaskHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryAsrTaskResponse
     */
    queryAsrTaskWithOptions(request: QueryAsrTaskRequest, headers: QueryAsrTaskHeaders, runtime: $Util.RuntimeOptions): Promise<QueryAsrTaskResponse>;
    /**
     * 查询asr结果
     *
     * @param request - QueryAsrTaskRequest
     * @returns QueryAsrTaskResponse
     */
    queryAsrTask(request: QueryAsrTaskRequest): Promise<QueryAsrTaskResponse>;
    /**
     * 分页查询指定设备的音频文件列表
     *
     * @param request - QueryAudioFileRequest
     * @param headers - QueryAudioFileHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryAudioFileResponse
     */
    queryAudioFileWithOptions(request: QueryAudioFileRequest, headers: QueryAudioFileHeaders, runtime: $Util.RuntimeOptions): Promise<QueryAudioFileResponse>;
    /**
     * 分页查询指定设备的音频文件列表
     *
     * @param request - QueryAudioFileRequest
     * @returns QueryAudioFileResponse
     */
    queryAudioFile(request: QueryAudioFileRequest): Promise<QueryAudioFileResponse>;
    /**
     * 获取设备列表
     *
     * @param request - QueryDeviceDetailRequest
     * @param headers - QueryDeviceDetailHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryDeviceDetailResponse
     */
    queryDeviceDetailWithOptions(request: QueryDeviceDetailRequest, headers: QueryDeviceDetailHeaders, runtime: $Util.RuntimeOptions): Promise<QueryDeviceDetailResponse>;
    /**
     * 获取设备列表
     *
     * @param request - QueryDeviceDetailRequest
     * @returns QueryDeviceDetailResponse
     */
    queryDeviceDetail(request: QueryDeviceDetailRequest): Promise<QueryDeviceDetailResponse>;
    /**
     * 查询设备属性
     *
     * @param request - QueryDeviceStatusRequest
     * @param headers - QueryDeviceStatusHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns QueryDeviceStatusResponse
     */
    queryDeviceStatusWithOptions(request: QueryDeviceStatusRequest, headers: QueryDeviceStatusHeaders, runtime: $Util.RuntimeOptions): Promise<QueryDeviceStatusResponse>;
    /**
     * 查询设备属性
     *
     * @param request - QueryDeviceStatusRequest
     * @returns QueryDeviceStatusResponse
     */
    queryDeviceStatus(request: QueryDeviceStatusRequest): Promise<QueryDeviceStatusResponse>;
    /**
     * asr离线任务
     *
     * @param request - SubmitAsrTaskRequest
     * @param headers - SubmitAsrTaskHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns SubmitAsrTaskResponse
     */
    submitAsrTaskWithOptions(request: SubmitAsrTaskRequest, headers: SubmitAsrTaskHeaders, runtime: $Util.RuntimeOptions): Promise<SubmitAsrTaskResponse>;
    /**
     * asr离线任务
     *
     * @param request - SubmitAsrTaskRequest
     * @returns SubmitAsrTaskResponse
     */
    submitAsrTask(request: SubmitAsrTaskRequest): Promise<SubmitAsrTaskResponse>;
    /**
     * asr离线任务
     *
     * @param request - VideoCustomerSplitRequest
     * @param headers - VideoCustomerSplitHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns VideoCustomerSplitResponse
     */
    videoCustomerSplitWithOptions(request: VideoCustomerSplitRequest, headers: VideoCustomerSplitHeaders, runtime: $Util.RuntimeOptions): Promise<VideoCustomerSplitResponse>;
    /**
     * asr离线任务
     *
     * @param request - VideoCustomerSplitRequest
     * @returns VideoCustomerSplitResponse
     */
    videoCustomerSplit(request: VideoCustomerSplitRequest): Promise<VideoCustomerSplitResponse>;
}
